org.eclipse.swt.graphics

## Class RGBA

- java.lang.Object
- - org.eclipse.swt.graphics.RGBA

    public final class RGBA
    extends java.lang.Object

Instances of this class are descriptions of colors in terms of the primary additive color model (red, green, blue and alpha). A color may be described in terms of the relative intensities of these three primary colors. The brightness of each color is specified by a value in the range 0 to 255, where 0 indicates no color (blackness) and 255 indicates maximum intensity and for alpha 0 indicates transparent and 255 indicates opaque.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

Application code does not need to explicitly release the resources managed by each instance when those instances are no longer required, and thus no `dispose()` method is provided.

Since:
  3.1
See Also:
  `Color`

### Field Summary

Fields
`int` `alpha` the alpha component of the RGBA
`RGB` `rgb` the RGB component of the RGBA

### Constructor Summary

Constructors
Constructor and Description
`RGBA(float hue, float saturation, float brightness, float alpha)` Constructs an instance of this class with the given hue, saturation, and brightness.
`RGBA(int red, int green, int blue, int alpha)` Constructs an instance of this class with the given red, green, blue and alpha values.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object object)` Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.
`float[]` `getHSBA()` Returns the hue, saturation, and brightness of the color.
`int` `hashCode()` Returns an integer hash code for the receiver.
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rgb

    public final RGB rgb

the RGB component of the RGBA

#### alpha

    public int alpha

the alpha component of the RGBA

### Constructor Detail

#### RGBA

    public RGBA(int red,
                int green,
                int blue,
                int alpha)

Constructs an instance of this class with the given red, green, blue and alpha values.

Parameters:
  `red` - the red component of the new instance
  `green` - the green component of the new instance
  `blue` - the blue component of the new instance
  `alpha` - the alpha component of the new instance
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the red, green, blue or alpha argument is not between 0 and 255

#### RGBA

    public RGBA(float hue,
                float saturation,
                float brightness,
                float alpha)

Constructs an instance of this class with the given hue, saturation, and brightness.

Parameters:
  `hue` - the hue value for the HSBA color (from 0 to 360)
  `saturation` - the saturation value for the HSBA color (from 0 to 1)
  `brightness` - the brightness value for the HSBA color (from 0 to 1)
  `alpha` - the alpha value for the HSBA color (from 0 to 255)
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the hue is not between 0 and 360 or the saturation or brightness is not between 0 and 1 or if the alpha is not between 0 and 255

### Method Detail

#### getHSBA

    public float[] getHSBA()

Returns the hue, saturation, and brightness of the color.

Returns:
  color space values in float format:
  - hue (from 0 to 360)
  - saturation (from 0 to 1)
  - brightness (from 0 to 1)
  - alpha (from 0 to 255)
See Also:
  `RGBA(float, float, float, float)`

#### equals

    public boolean equals(java.lang.Object object)

Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `object` - the object to compare with this object
Returns:
  `true` if the object is the same as this object and `false` otherwise
See Also:
  `hashCode()`

#### hashCode

    public int hashCode()

Returns an integer hash code for the receiver. Any two objects that return `true` when passed to `equals` must return the same value for this method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the receiver's hash
See Also:
  `equals(Object)`

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of the `RGBA`

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0